"""==================================================================
منطق برنامه‌ای را طراحی کنید که عدد طبیعی N را در ورودی دریافت کند و سپس
یک ماتریس مربعی N*N پایین مثلثی به نام P بسازد یعنی ماتریسی بسازد که عناصر
قطر اصلی آن و پایین آن همگی یک باشند و عناصر بالای قطر اصلی آن صفر باشند.
=================================================================="""

n = int(input("Please enter N: "))

P = []
for i in range(n):
    row = []
    for j in range(n):
        if i >= j:
            row.append(1)
            print(1,end="\t")
        else:
            row.append(0)
            print(0,end="\t")
    print()
    P.append(row)
